connections {

   gw-gw {
      local_addrs  = 192.168.0.1
      remote_addrs = 192.168.0.2

      if_id_out = 1337
      if_id_in = 42

      local {
         auth = pubkey
         certs = moonCert.pem
         id = moon.strongswan.org
      }
      remote {
         auth = pubkey
         id = sun.strongswan.org
      }
      children {
         alice-net {
            local_ts  = 10.1.0.10/32
            remote_ts = 0.0.0.0/0

            esp_proposals = aes128gcm128-x25519
         }
         venus-net : connections.gw-gw.children.alice-net {
            local_ts  = 10.1.0.20/32
         }
      }
      version = 2
      proposals = aes128-sha256-x25519
   }
}
